petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscFClose

Has the first processor in the communicator close a file; all others do nothing.

### Synopsis

    PetscErrorCode  PetscFClose(MPI_Comm comm,FILE *fd)

Logically Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| fd | - the file, opened with PetscFOpen()

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscFOpen()

Level:developer
Location:src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html